Jump to content


Error: wp-includes/plugin.php on line 405


This topic has been archived. This means that you cannot reply to this topic.
7 replies to this topic

#1 Art Munson

Art Munson

    New Member

  • Members
  • 7 posts

Posted 16 September 2011 - 10:59 AM

Just updated to 5.0 recently and when trying to install a new plugin and clicking "Details" I get the following error in the pop-up window:

Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'Array' was given in /home/munson/public_html/musiclibraryreport.com/wp-includes/plugin.php on line 405

Deactivating Ajax Edit fixes that error. Recent update of 5.0.1 does not fix the error. Older version of Ajax Edit does not have that error.

#2 Bes Zain

Bes Zain

    Member

  • Members
  • 4,268 posts

Posted 16 September 2011 - 11:32 AM

Hi Art,

Thanks for posting this and welcome to the forums!

1 : To clarify, you see that error AFTER you've installed Ajax Edit Comments and WHILE you're trying to see the "Details" of a NEW plugin on the WordPress Dashboard --> Plugins page, when you're searching for new plugins, correct?

2 : Can you "Install" new plugins properly, even if the "Details" link gives you the above error?


3 :
Does that or any other error show up anywhere other than in the pop-up window that results when clicking the "Details" link under plugins on Plugins --> Add New page?

4 : Could you maybe still have an OLDER wp-ajax-edit-comments directory and old un-wanted files? In the newer versions that folder, for example, was renamed to just ajax-edit-comments.

Thanks! The above will help us isolate the reason and see what could be causing this.

Regards,

#3 Art Munson

Art Munson

    New Member

  • Members
  • 7 posts

Posted 16 September 2011 - 01:33 PM

Thanks for the fast reply!

1.) Yes

2.) Yes

3.) Not so far but at this point have gone back to an earlier version.

4.) I had deleted the old plugin prior to installing 5.0.

Late addition: I just remembered that when I ran the automatic upgrade to 5.0.1 this morning I got the same error mesaage and the site locked up. I FTP'd to the site and re-named the plugin which got the site back. I then re-intalled the older version.

Edited by Art Munson, 16 September 2011 - 10:27 AM.


#4 Bes Zain

Bes Zain

    Member

  • Members
  • 4,268 posts

Posted 16 September 2011 - 06:16 PM

Hi Art, :)

Thanks for the reply! Hmmm, that is so strange since we can't seem to duplicate the issue from our end.

Could you please email me at bes@ithemes.com with the following:

1 : Link to this thread

2 : Your WP login info (admin account please)

Some question you can please answer here please:

5 (continuing from before): You mentioned that the automatic upgrade to 5.0.1 resulted in that error message shown and the site locking up.

5A : How was the error shown? In a pop-up? On a completely white page? Inside the Dashboard? Or someplace else?

5B : How did the site lock up? What exact error message was shown?

5C : Have you been able to install 5.0.1 manually (deleting ANY version of AEC's folder, then downloading 5.0.1 via the Member's panel, and then uploading it from scratch and not as an upgrade) at all?

Wecan then try and go on from there.

Regards, and thanks again!

Edited by Bes Zain, 20 September 2011 - 07:59 AM.


#5 Art Munson

Art Munson

    New Member

  • Members
  • 7 posts

Posted 20 September 2011 - 12:12 PM

Hi Bes,

5A - Inside the dashboard.

5B - Couldn't get to the admin panel. Renamed plugin folder using FTP to de-activate plugin got it back.

Error message was the same as in the "Details" popup when checking the details of a plugin in Plugins->Add New.

Warning:  call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'Array' was given in /home/munson/public_html/musiclibraryreport.com/wp-includes/plugin.php on line 405

5C - I was able to install the upgrade manually but still get the above error message checking the "Details" of any plugin in the section of Plugins->Add New.

Thanks

Art




#6 Bes Zain

Bes Zain

    Member

  • Members
  • 4,268 posts

Posted 20 September 2011 - 02:44 PM

Hi Art,

Thanks for the info! Hmmm, just to rule something out:

6 : What other plugins do you have?

7 : Can you try disabling all other plugins?

8 : Can you duplicate this on any other site as a test?

Thanks again! You can email me anytime too btw! It's working on our side, so we REALLY want it to work 100% for you too!

Regards, and thank you for being a loyal AEC user!

#7 Art Munson

Art Munson

    New Member

  • Members
  • 7 posts

Posted 24 September 2011 - 10:52 AM

Hi Bes,

6. Here's the list of plugins I have running:

AdRotate
Ajax Edit Comments
Akismet
All in One SEO Pack
Audio Link Player
Cartpauj PM
Custom Field Template
Embed Page Menu
Facebook Page Publish
Fast Secure Contact Form
GD Star Rating
Google Analytics for WordPress
Google XML Sitemaps
IP Ban
NuRelm Get Posts
PixoPoint Menu Plugin
Rave Player
SI CAPTCHA
Simple Tags
Sociable
Subscribe To Comments
Widgets on Pages
WP-dTree
WP-Polls
WP Affiliate Platform
WP Custom Search
WP eMember

7. I hesitate to disrupt my site too much as I have paying customers.

8. I will try as soon as I get a chance.

Another new problem has surfaced and that is when a comment is made on
some posts it will display in the left hand widget "Recent
Comments" it will also appear under comments in the admin panel but will
NOT display on the post. It will display only if some one makes another
comment. In essence the displayed comment under the post is delayed by one.
Did not have this problem with older versions of this plugin in.

I have currently gone back to version 3.2.1.0 as I am having no problems with that version.

#8 Bes Zain

Bes Zain

    Member

  • Members
  • 4,268 posts

Posted 26 September 2011 - 02:24 PM

(CONFIRMED: I can duplicate the issue! I was able to duplicate it on the 7th site I tried on. :O Surprisingly, on 6 sites I CANNOT duplicate this, BUT since this bug has now surfaced on the 2nd site also, a live site, this means it's something with the actual plugin combinations OR maybe AEC itself that's interfering with something that I've not yet been able to pinpoint the it directly. Will keep testing. I've filed this as a bug to give it benefit of the doubt from our end so that we can try to fix it or find a workaround.

The following was the original reply I was going to add â I'llSTILL post it as it outlines the good flow of testing steps that should be done in case anyone else experiences this before or AFTER the bug/issue has been found. You, Art, can ignore all the following EXCEPT #9).

Hi Art, :)

Thanks for the reply! Hmmm, definitely seems like a plugin conflict BUT may be something else too (since your old AEC version is working well â maybe the new AEC has some code in there that's causing another one of your plugins, which may be outdated or not using the proper code, to cause this â not sure atm). New version came out last week, btw: 5.0.3



6 : One of those plugins could be conflicting with the latest AEC. I'm trying to duplicate this error but not havingany success yet. If I can duplicate this error even on more than one site (in addition to your site), we can then file it as a bug as we will be able to see the problem itself.



8 : Let's see what you find with that (trying this on another site). That may help. Have no other plugins and try it with only one standard theme like TwentyTen/Eleven.



9 : Your new issue: again, it sounds like a plugin conflict. Does the admin not see the new comment until another comment is made OR the commentor him/herself, regardless of their logged in or guest status? (which one, please?)



10 : Try this: preview the site (or #8) in a new standard theme (like TwentyTen or TwentyEleven). See if the issue exists.


11 : Which version of self-hosted single-install (non-multisite) WP is on that site?


12 :
I'll keep testing and hopefully if it's an Ajax Edit Comments bug, we can fix it ("hopefully" because if it's not, the other author of the plugin/issue/etc will have to take care of it).

Regards,


Edited by Bes Zain, 26 September 2011 - 09:25 AM.